Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class PropertyMapping

    java.lang.Object
      org.hibernate.search.cfg.PropertyMapping

    public class PropertyMapping

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`PropertyMapping(java.lang.String name, java.lang.annotation.ElementType type, EntityDescriptor entity, SearchMapping mapping)`

Method Summary
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`PropertyMapping` | `analyzerDiscriminator(java.lang.Class<? extends Discriminator> discriminator)`
`CalendarBridgeMapping` | `calendarBridge(Resolution resolution)`
`ContainedInMapping` | `containedIn()`
`DateBridgeMapping` | `dateBridge(Resolution resolution)`
`DocumentIdMapping` | `documentId()`
`PropertyMapping` | `dynamicBoost(java.lang.Class<? extends BoostStrategy> impl)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FieldMapping` | `field()`
`IndexEmbeddedMapping` | `indexEmbedded()`
`PropertyMapping` | `property(java.lang.String name, java.lang.annotation.ElementType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMapping

    public PropertyMapping(java.lang.String name,
                           java.lang.annotation.ElementType type,
                           EntityDescriptor entity,
                           SearchMapping mapping)

Method Detail

### documentId

    public DocumentIdMapping documentId()

### field

    public FieldMapping field()

### dateBridge

    public DateBridgeMapping dateBridge(Resolution resolution)

### calendarBridge

    public CalendarBridgeMapping calendarBridge(Resolution resolution)

### analyzerDiscriminator

    public PropertyMapping analyzerDiscriminator(java.lang.Class<? extends Discriminator> discriminator)

### dynamicBoost

    public PropertyMapping dynamicBoost(java.lang.Class<? extends BoostStrategy> impl)

### property

    public PropertyMapping property(java.lang.String name,
                                    java.lang.annotation.ElementType type)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

### indexEmbedded

    public IndexEmbeddedMapping indexEmbedded()

### containedIn

    public ContainedInMapping containedIn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.